Subject: Re: Bug: Hierarchical Aliases no longer work in 2.54.0

From: Michael Grossfeld <[email-masked]>
Date: Thu, 23 Apr 2026 18:46:53 -0400

> Broken by ac1f12a9de4 (alias: support non-alphanumeric names via
> subsection syntax, 2026-02-18).

> Alias sections were not documented before.  How did you discover them?

Sheer dumb luck. I gravitated to it rather than a dash/hyphen based approach when I was creating aliases for my team.

> I think the previous behavior can be brought back while keeping the
> new feature, except for aliases that end in ".command".

That would work for me.

> Which works, right?

Yes, doing 'alias.pull.sub.command' works, but for the users on my team that have the old aliases, they are crashing.